Bug 1015397 - [abrt] kde-workspace-4.11.1-3.fc19: KCrash::defaultCrashHandler: Process /usr/bin/plasma-desktop was killed by signal 8 (SIGFPE)
[abrt] kde-workspace-4.11.1-3.fc19: KCrash::defaultCrashHandler: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:44a269ec6b3d0b4748c9b33dfc0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 02:25 EDT by xone2025
Modified: 2015-02-17 12:30 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.14 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: core_backtrace (17.22 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: dso_list (28.89 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: environ (1.79 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: maps (141.48 KB, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: open_fds (148 bytes, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details
File: var_log_messages (909 bytes, text/plain)
2013-10-04 02:25 EDT, xone2025
no flags Details

  None (edit)
Description xone2025 2013-10-04 02:25:21 EDT
Description of problem:
I set up the desktop backgroun to use slide show wallpapers.
Each time the wallpaper went to change KDE crashed.  If I right click ont he desktop and select, Next Picture, to change the background to the next image, KDE would crash.  It would crash if it did it on its own or if I asked it to change manually.

Version-Release number of selected component:
kde-workspace-4.11.1-3.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at /usr/src/debug/kdelibs-4.11.1/kdeui/util/kcrash.cpp:346
 #3 Image::nextSlide at /usr/src/debug/kde-workspace-4.11.1/plasma/generic/wallpapers/image/image.cpp:774
 #4 Image::qt_static_metacall at /usr/src/debug/kde-workspace-4.11.1/x86_64-redhat-linux-gnu/plasma/generic/wallpapers/image/image.moc:122
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #6 QObject::event at kernel/qobject.cpp:1156
 #7 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4562
 #8 QApplication::notify at kernel/qapplication.cpp:4348
 #9 KApplication::notify at /usr/src/debug/kdelibs-4.11.1/kdeui/kernel/kapplication.cpp:311
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:949
 #11 sendEvent at kernel/qcoreapplication.h:231
Comment 1 xone2025 2013-10-04 02:25:26 EDT
Created attachment 807431 [details]
File: backtrace
Comment 2 xone2025 2013-10-04 02:25:29 EDT
Created attachment 807432 [details]
File: cgroup
Comment 3 xone2025 2013-10-04 02:25:32 EDT
Created attachment 807433 [details]
File: core_backtrace
Comment 4 xone2025 2013-10-04 02:25:36 EDT
Created attachment 807434 [details]
File: dso_list
Comment 5 xone2025 2013-10-04 02:25:40 EDT
Created attachment 807435 [details]
File: environ
Comment 6 xone2025 2013-10-04 02:25:43 EDT
Created attachment 807436 [details]
File: limits
Comment 7 xone2025 2013-10-04 02:25:47 EDT
Created attachment 807437 [details]
File: maps
Comment 8 xone2025 2013-10-04 02:25:50 EDT
Created attachment 807438 [details]
File: open_fds
Comment 9 xone2025 2013-10-04 02:25:53 EDT
Created attachment 807439 [details]
File: proc_pid_status
Comment 10 xone2025 2013-10-04 02:25:56 EDT
Created attachment 807440 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 15:06:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 12:30:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.